<!-- Variables à portée composant -->
<!-- https://github.com/jorgegorka/svelte-router#router -->
<!-- https://stackoverflow.com/questions/68187584/how-to-route-programmatically-in-sveltekit -->
<script >
	import { user } from '../user_data.js'
	import RateIt from '../lib/svelte-rate-it/rate-it.svelte'
	import { goto } from '$app/navigation'

	let isDeco = false;
	let userdata = {};
	let rateItValue = 1;

	user.subscribe(user_data => {
		if ( userdata.name && ! user_data.name )
			isDeco = true;
		userdata = user_data;
	});

	user.update(() => { return {} })
    const submit = async() => {
		await user.update(() => { return {"name":"Quentin"} })
		goto("/client");
	}

	const submitRateIt = () =>{
		console.log(RateIt.sliderPosition)
		isDeco =false;
	}

	const ignoreIt = () =>{ isDeco =false; }

</script>

<svelte:head>
	<title>Connectez-vous !</title>
</svelte:head>

<div class="content">

	{#if isDeco}
		<RateIt />
    	<button class="btn btn-primary submitRate" on:click={submitRateIt}> Noter ! </button>
    	<button class="btn btn-dark submitRate" on:click={ignoreIt}> Ignorer </button>
		<br>
		<br>
	{/if} 

	<h1> Accédez à votre espace client ! </h1>
	<img src="http://i.stack.imgur.com/SBv4T.gif" alt="this slowpoke moves" />
	<div class="input-group mb-3">
		<div class="input-group-prepend">
		    <span class="input-group-text">📧</span>
		</div>
		<input type="text" class=" form-control" placeholder="Courriel@exemple.com">
	</div>
	<div class="input-group mb-3">
		<div class="input-group-prepend">
			<span class="input-group-text">🔑</span>
		</div>
		<input type="password" class=" form-control" placeholder="Mot de Passe">
	</div>
	<div>
		<button class="btn btn-primary formBtn" on:click={submit}> Se connecter </button>
		<a href="/inscription">
			<button class="btn btn-outline-primary formBtn"> S'inscrire </button>
		</a>
	</div>

</div>

<style>
	.submitRate {
		width: 49%;
	}

	h1{
		margin: 0 auto 0;
		margin-top: 0;
	}

	.content {
		min-height: 100vh;
		margin: auto;
		padding:10%;
		width: 100%;
	}

	.formBtn{
		width: 49%;
		margin: auto;
	}

	img{
	    width:100%;
	    max-width:600px;
	    margin: 0 auto 0;
    	display: block;
	}

</style>
